TextFieldWidget (base API)
Date: 2019-04-05

com.twosigma.beakerx.easyform.formitem.widgets

## Class TextFieldWidget

- java.lang.Object
- - com.twosigma.beakerx.easyform.EasyFormComponent<com.twosigma.beakerx.widget.Text>
  - - com.twosigma.beakerx.easyform.formitem.widgets.TextFieldWidget

- All Implemented Interfaces:
    com.twosigma.beakerx.widget.CommFunctionality

      public class TextFieldWidget
      extends EasyFormComponent<com.twosigma.beakerx.widget.Text>

- - ### Field Summary

    - ### Fields inherited from class com.twosigma.beakerx.easyform.EasyFormComponent

      `widget`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextFieldWidget()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `checkValue(java.lang.Object value)` Throw IllegalArgumentException if such value can't be set to this component
    `java.lang.Integer` | `getSize()`
    `java.lang.Integer` | `getWidth()`
    `void` | `setSize(java.lang.Integer size)`
    `TextFieldWidget` | `setWidth(java.lang.Integer width)`

    - ### Methods inherited from class com.twosigma.beakerx.easyform.EasyFormComponent

      `addOnChangeListener, addOnInitListener, clearListeners, close, fireChanged, fireInit, formatValue, getComm, getLabel, getValue, getWidget, isButton, isEnabled, onChange, onInit, registerUpdateValueCallback, removeOnChangeListener, removeOnInitListener, setEnabled, setLabel, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TextFieldWidget

          public TextFieldWidget()

  - ### Method Detail

    - #### getSize

          public java.lang.Integer getSize()

    - #### setSize

          public void setSize(java.lang.Integer size)

    - #### getWidth

          public java.lang.Integer getWidth()

    - #### checkValue

          protected boolean checkValue(java.lang.Object value)

      Description copied from class: `EasyFormComponent`
      Throw IllegalArgumentException if such value can't be set to this component
      Overrides:
        `checkValue` in class `EasyFormComponent<com.twosigma.beakerx.widget.Text>`
      Parameters:
        `value` - object with data to be set
      Returns:
        true if value can be set to given component

    - #### setWidth

          public TextFieldWidget setWidth(java.lang.Integer width)